> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Record Deleted

> Trigger when a Salesforce record is deleted

## Subscribe

Send this request body to [Subscribe to a Trigger](/actionkit/triggers/api-reference/subscribe-to-trigger) to start listening for this event on behalf of your user:

```http Subscribe Request theme={null}
POST https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions

Authorization: Bearer {Paragon User Token}
Content-Type: application/json

{
  "integration": "salesforce",
  "type": "SALESFORCE_TRIGGER_RECORD_DELETED",
  "parameters": {
    "recordType": "Opportunity",
    "recordsFilterFormula": {
      "operator": "OR",
      "conditions": [
        {
          "operator": "AND",
          "conditions": [
            {
              "field": "field",
              "operator": "$stringContains",
              "value": "example-value"
            }
          ]
        }
      ]
    }
  }
}
```

**Configuration options:**

<ParamField path="recordType" type="ENUM" required>
  Record type

  * Allowed values: `Opportunity`, `Account`, `Contact`, `Lead`, `Task`, Custom Object (`<specified by objectName property>`)
  * Options can be loaded by using the `recordTypes` key. Learn more in [User Configuration](/actionkit/triggers/user-configuration).
</ParamField>

<Accordion title="When Custom Object is selected">
  Additional options when this parameter is set to `<specified by objectName property>`.

  <ParamField path="objectName" type="TEXTAREA" required>
    The API Name of the Object. Use Connect Portal Workflow Settings to allow users to select a Custom Object.

    * Example value: `{{settings.objectType}}`
  </ParamField>
</Accordion>

<ParamField path="recordsFilterFormula" type="CONDITIONAL">
  Only trigger on deleted records that match these filters.

  * Supported filter fields are loaded from `cachedFields` after selecting `recordType`.
  * Supported operators: `$none`, `$stringContains`, `$stringDoesNotContain`, `$stringExactlyMatches`, `$stringDoesNotExactlyMatch`, `$stringIsIn`, `$stringIsNotIn`, `$stringStartsWith`, `$stringDoesNotStartWith`, `$stringEndsWith`, `$stringDoesNotEndWith`, `$numberGreaterThan`, `$numberLessThan`, `$numberEquals`, `$numberDoesNotEqual`, `$dateTimeAfter`, `$dateTimeBefore`, `$dateTimeEquals`, `$booleanTrue`, `$booleanFalse`, `$exists`, `$doesNotExist`
</ParamField>
